Bug 1639406 - [RFE] Add support for sha512
Summary: [RFE] Add support for sha512
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.3.4
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-15 16:11 UTC by Prakash Ghadge
Modified: 2019-10-07 17:17 UTC (History)
7 users (show)

Fixed In Version: pulp-2.18.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:12 UTC


Attachments (Terms of Use)
verification screenshot (117.31 KB, image/png)
2019-01-09 19:05 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC
Pulp Redmine 4007 Normal CLOSED - CURRENTRELEASE As a user, I can sync rpm packages with sha512 checksums 2018-12-04 22:30:47 UTC

Description Prakash Ghadge 2018-10-15 16:11:46 UTC
1. Proposed title of this feature request

- [RFE] Add support for sha512

3. What is the nature and description of the request?

- Add support for sha512 so that user can sync repositories with sha512 checksums.

The issue has been fixed in the upstream pulp.

[1] https://pulp.plan.io/issues/4007
[2] https://github.com/pulp/pulp/pull/3629

4. Why does the customer need this? (List the business requirements here)

- To sync the repositories with SHA512 on satellite server.

5. How would the customer like to achieve this? (List the functional requirements here)

- By adding a SHA512 as supported checksum in the pulp.

6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

7. Is there already an existing RFE upstream or in Red Hat Bugzilla?

--> Yes
[1] https://pulp.plan.io/issues/4007
[2] https://github.com/pulp/pulp/pull/3629


8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

9. Is the sales team involved in this request and do they have any additional input?

--> No

10. List any affected packages or components.

11. Would the customer be able to assist in testing this functionality if implemented?

- Yes

Comment 2 pulp-infra@redhat.com 2018-10-16 15:31:26 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2018-10-16 15:31:29 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 4 pulp-infra@redhat.com 2018-10-16 16:03:22 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 6 pulp-infra@redhat.com 2018-11-20 19:31:56 UTC
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.

Comment 8 pulp-infra@redhat.com 2018-12-04 22:30:48 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 9 jcallaha 2019-01-09 19:05:37 UTC
Created attachment 1519560 [details]
verification screenshot

Verified in Satellite 6.5.0 Snap 10

Successfully sync'd a sha512 repo without issues. See attached screenshot for verification.

Comment 12 errata-xmlrpc 2019-05-14 12:38:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.